<template>
    <li class="bestsellers__card card">
        <router-link :to="{ name: 'catalog', params: { producturl: product.url } }" class="card__link">
            <div class="card__con">
                <p class="card__name">{{ product.title }}</p>
                <div class="card__img-con">
                    <img :src="product.img" alt="" class="card__img">
                </div>
                <p class="card__desc">{{ product.desc }}</p>
            </div>
        </router-link>
        <div class="card__footer">
            <p class="card__price">{{ product.price }} руб.</p>
            <router-link :to="{ name: 'catalog', params: { producturl: product.url } }" class="card__button">Купить</router-link>
        </div>
    </li>
</template>

<script>
export default {
    props: {
        product: {
            type: Object,
            required: true
        }
    }
}
</script>

<style scoped>
.card {
    width: 350px;
    margin-top: 25px;
}
.card__con {
    border: 1px solid #000;
    border-radius: 5px;
    padding: 5px 5px 5px 5px;
    display: flex;
    flex-direction: column;
    justify-content: start;
    height: 320px;
}
.card__link:hover{
    opacity: 0.7;
}
.card__desc {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: wrap;
    font-size: 14px;
    height: 50px;
    justify-self: end;
}
.card__img-con{
    max-width: 250px;
    max-height: 200px;
    overflow: hidden;
    margin-top: 10px;
    margin-bottom: 10px;
    flex: 1 1 auto;
}
.card__img {
    width: 100%;
    height: 100%
}
.card__footer {
    margin-top: 5px;
    margin-left: 5px;
    display: flex;
    justify-content: space-between;
}
.card__button {
    padding: 4px 18px 4px 18px;
    border: 1px solid #000;
    border-radius: 4px;
}
.card__button:hover {
    opacity: 0.7;
}
</style>